---
Name: esxi_670u2-13981272_lenovo-install
Description: Install BootEnv for ESXi 670u2-13981272 for lenovo
Documentation: |
  Provides VMware BootEnv for ESXi 670u2-13981272 for lenovo
  For more details, and to download ISO see:

    - <https://my.vmware.com/web/vmware/details?downloadGroup=OEM-ESXI67U2-LENOVO&productId=742>

  !!! note
      The ISO filename and sha256sum must match this BootEnv exactly.

Meta:
  color: blue
  icon: zip
  title: RackN Content
OS:
  Codename: esxi
  Family: vmware
  IsoFile: VMware_ESXi_6.7.0.update02_13981272_LNV_20190630.iso
  IsoSha256: f1f5d8925cd80b6d4d4980129fd70fb8761904111520e10a62e9fd7f6634ef38
  IsoUrl: ""
  Name: esxi_670u2-13981272_lenovo
  SupportedArchitectures: {}
  Version: 670u2
OnlyUnknown: false
OptionalParams:
  - provisioner-default-password-hash
RequiredParams: []
Kernel: ../../chain.c32
BootParams: -c {{.Machine.Path}}/boot.cfg
Initrds: []
Loaders:
  amd64-uefi: efi/boot/bootx64.efi
Templates:
  - ID: esxi-chain-pxelinux.tmpl
    Name: pxelinux
    Path: pxelinux.cfg/{{.Machine.HexAddress}}
  - ID: esxi-chain-pxelinux.tmpl
    Name: pxelinux-mac
    Path: pxelinux.cfg/{{.Machine.MacAddr "pxelinux"}}
  - ID: esxi-ipxe.cfg.tmpl
    Name: ipxe
    Path: "{{.Machine.Address}}.ipxe"
  - ID: esxi-ipxe.cfg.tmpl
    Name: ipxe-mac
    Path: '{{.Machine.MacAddr "ipxe"}}.ipxe'
  - ID: esxi-install-py3.ks.tmpl
    Name: compute.ks
    Path: "{{.Machine.Path}}/compute.ks"
  - ID: esxi_670u2-13981272_lenovo.boot.cfg.tmpl
    Name: boot.cfg
    Path: "{{.Machine.Path}}/boot.cfg"
  - ID: esxi_670u2-13981272_lenovo.boot.cfg.tmpl
    Name: boot-uefi.cfg
    Path: '{{.Env.PathForArch "tftp" "" "amd64"}}/efi/boot/{{.Machine.MacAddr "pxelinux"}}/boot.cfg'
